# SPDX-FileCopyrightText: Emery Hemingway
#
# SPDX-License-Identifier: LicenseRef-Hippocratic-1.1

{ genodepkgs ? builtins.fetchGit ./., nixpkgs ? <nixpkgs>
, dhall-haskell ? ./dhall-haskell.nix }:

let pkgs = import ./default.nix { inherit nixpkgs; };
in {
  build.x86_64 = {
    inherit (pkgs) nova stdenv;
    genode = removeAttrs pkgs.genode [ "override" "overrideDerivation" ];
  };

  tests.x86_64 = import ./tests { inherit pkgs; };
}
